DECLARE 
@@QUERY VARCHAR (MAX), @@SERVER_NAME VARCHAR (MAX),@@DB_NAME VARCHAR(MAX);

SET @@DB_NAME =(SELECT SYSTEM_VALUE FROM [dbo].[TB_M_SYSTEM] WHERE FUNCTION_ID = 'DB_NAME' AND SYSTEM_CD = 'ICS_DB_NAME');

SET @@SERVER_NAME = COALESCE((SELECT SYSTEM_VALUE FROM [dbo].[TB_M_SYSTEM] WHERE FUNCTION_ID = 'LINKED_SERVER' AND SYSTEM_CD = 'NEW_ICS_DB'),'[BB071_DB]');

SET @@QUERY = '	SELECT ''--All--'' PROD_PURPOSE_CD, '''' PROD_PURPOSE_NAME, '''' CREATED_BY, GETDATE() CREATED_DT, '''' CHANGED_BY, GETDATE() CHANGED_DT
				union all
				SELECT * FROM OPENQUERY('+@@SERVER_NAME+', ''SELECT * FROM {0}.dbo.TB_M_PROD_PURPOSE'')';
SET @@QUERY = REPLACE(@@QUERY,'{0}',@@DB_NAME);

EXEC(@@QUERY)